package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/SystemTimeAction.class */
public class SystemTimeAction extends LifeAction {
    String timeFieldName = null;
    String timeFormat = null;

    public String execute(Context context) throws GENEException {
        try {
            context.setDataValue(this.timeFieldName, getCurrentTime(this.timeFormat));
            return "0";
        } catch (Exception unused) {
            return "1";
        }
    }

    public String getCurrentTime(String fmt) {
        Date date = Calendar.getInstance().getTime();
        if (fmt == null || "".equals(fmt)) {
            return String.valueOf(date.getTime());
        }
        return new SimpleDateFormat(fmt).format(date);
    }

    public void setTimeFieldName(String name) {
        this.timeFieldName = name;
    }

    public void setTimeFormat(String format) {
        this.timeFormat = format;
    }
}
